{% extends 'template_auth.html.twig' %}

{% block title %}
    Log in!
            
        
    
{% endblock %}

{% block body %}
    <div class="Login">
        <div class="Login__Description">
            <h1>
                Connexion
            </h1>
            <p>
                Ravi de vous (re)voir !
                
                    
                <br/>
                Bienvenue sur Gaming Library, une bibliothèque de jeux gratuit ou vous
                    pouvez discuter entre amis !
                  
            </p>
        </div>
        <form class="Login__Form" method="post">
            {% if error %}
                <div class="alert alert-danger">
                    {{ error.messageKey|trans(error.messageData, 'security') }}
                </div>
            {% endif %}
            {% if app.user %}
                <div class="mb-3">
                    You are logged in as 
                    {{ app.user.userIdentifier }}
                    ,
                    
                        
                    <a href="{{ path('app_logout') }}">
                        Logout 
                    </a>
                </div>
            {% endif %}
            <div class="mb-3">
                <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus placeholder="Adresse Mail" />
            </div>
            <div class="mb-3">
                <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required placeholder="Mot de passe" />
            </div>
            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}" />
            <button type="submit" class="btn btn-primary mb-3">
                <span>
                    Se connecter 
                </span>
                <i class="bi bi-arrow-right bi-2x"></i>
            </button>
        </form>
    </div>
{# <form method="post">
            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}
        
            {% if app.user %}
                <div class="mb-3">
                    You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
                </div>
            {% endif %}
        
            <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>
            <label for="inputEmail">Email</label>
            <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
            <label for="inputPassword">Password</label>
            <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>
        
            <input type="hidden" name="_csrf_token"
                   value="{{ csrf_token('authenticate') }}"
            >
        
                Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                See https://symfony.com/doc/current/security/remember_me.html
        
                <div class="checkbox mb-3">
                    <label>
                        <input type="checkbox" name="_remember_me"> Remember me
                    </label>
                </div>
        
        
            <button class="btn btn-lg btn-primary" type="submit">
                Sign in
            </button>
        </form> #}
{% endblock %}
